package com.zhongzheng.modules.exam.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.exam.bo.ExamConfigAddBo;
import com.zhongzheng.modules.exam.bo.ExamConfigEditBo;
import com.zhongzheng.modules.exam.bo.ExamConfigQueryBo;
import com.zhongzheng.modules.exam.domain.ExamConfig;
import com.zhongzheng.modules.exam.vo.ExamConfigVo;

import java.util.Collection;
import java.util.List;

/**
 * 考题配置Service接口
 *
 * @author hjl
 * @date 2021-05-21
 */
public interface IExamConfigService extends IService<ExamConfig> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamConfigVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<ExamConfigVo> queryList(ExamConfigQueryBo bo);

	List<ExamConfigVo> selectExamConfigList(ExamConfigQueryBo bo);

	/**
	 * 根据新增业务对象插入考题配置
	 * @param bo 考题配置新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamConfigAddBo bo);

	/**
	 * 根据编辑业务对象修改考题配置
	 * @param bo 考题配置编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamConfigEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
